Files
operating-system/buildroot/package/tcf-agent/S55tcf-agent
Pascal Vizeli 41d3f59002 Update Buildroot to 2019.02.3 (#415)
* Update Buildroot to 2019-02.3

* Fix enter script

* Update ova_defconfig

* Fix network manager

* Remove runc patches

* Use same docker version

* Fix build

* Fix vmtools

* Fix depens

* Fix handling with tempfiles

* Fix permission handling

* Fix cp

* Cleanup

* Fix mounts
2019-06-27 11:58:50 +02:00

41 lines
643 B
Bash

#!/bin/sh
DAEMON_PATH=/usr/sbin/tcf-agent
DAEMON_NAME=tcf-agent
DAEMON_ARGS="-L- -l0"
PIDFILE=/var/run/$DAEMON_NAME.pid
[ -r /etc/default/$DAEMON_NAME ] && . /etc/default/$DAEMON_NAME
start() {
printf "Starting $DAEMON_NAME: "
start-stop-daemon -S -o -q -p $PIDFILE -m -b \
-x $DAEMON_PATH -- $DAEMON_ARGS
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping $DAEMON_NAME: "
start-stop-daemon -K -o -q -p $PIDFILE \
-x $DAEMON_PATH
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
stop
start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac